Bug 1302169 - dnf copr fails on centos 7
dnf copr fails on centos 7
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 20:35 EST by John Heidemann
Modified: 2017-01-11 11:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Heidemann 2016-01-26 20:35:21 EST
Description of problem:
dnf copr fails on centos 7, even with dnf-plugins-core


Version-Release number of selected component (if applicable):

dnf-plugins-core-0.1.5-3.el7

How reproducible:

every time


Steps to Reproduce:
1. dnf copr info

Actual results:

No such command: copr. Please use /bin/dnf --help
It could be a DNF plugin command.


Expected results:
Error: exactly two additional parameters to copr command are required
 Mini usage:

copr 
  enable name/project [chroot]
  disable name/project
...


Additional info:

Following copr directions, I did

   dnf install dnf-plugins-core

While that package includes
/usr/share/man/man8/dnf.plugin.copr.8.gz

it lacks the python code to support copr.

On fedora, this code is in the package

python-dnf-plugins-core
and the file
/usr/lib/python2.7/site-packages/dnf-plugins/copr.py

but that package doesn't exist in centos 7.

Suggestions?
Comment 1 Miroslav Suchý 2016-01-27 02:51:06 EST
In Epel there is version dnf-plugins-core-0.1.5-3 which does not have copr plugin due missing dependency.

In later version of dnf-plugins-core the copr plugin was rewritten to use different library and can be build for Epel without problem.

So this can be fixed by releasing recent dnf-plugins-core version to Epel7.
Comment 2 marcindulak 2016-09-10 06:35:08 EDT
The problem is still there.
Can we get dnf-plugins-core updated in epel7?

Note You need to log in before you can comment on or make changes to this bug.